# SEGY2GRD

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
EXAMPLES
SEE ALSO

## NAME

segy2grd − Converting SEGY file to grid file format

## SYNOPSIS

segy2grd segyfile −G grdfile −I xinc[unit][=|+][/yinc[unit][=|+]] −R west/east/south/north[r] [ −A[n|z] ] [ −D xname/yname/zname/scale/offset/title/remark ] [ −F ] [ −N nodata ] [ −S[zfile] ] [ −V ] [ −Z[flags] ] [ −:[i|o] ] [ −bi[s|S|d|D[ncol]|c[var1/...]] ]

## DESCRIPTION

segy2grd reads an IEEE SEGY file and creates a binary grid file. Either a simple mapping (equivalent to xyz2grd -Z) or a more complicated averaging where a particular grid cell includes values from more than one sample in the SEGY file can be done. segy2grd will report if some of the nodes are not filled in with data. Such unconstrained nodes are set to a value specified by the user [Default is NaN]. Nodes with more than one value will be set to the average value.
segyfile is an IEEE floating point SEGY file. Traces are all assumed to
start at 0 time/depth.

| −G |  | grdfile is the name of the binary output grid file.
| −I |  | x_inc [and optionally y_inc] is the grid spacing. Append m to indicate minutes or c to indicate seconds.

−R

west, east, south, and north specify the Region of interest, and you may specify them in decimal degrees or in [+-]dd:mm[:ss.xxx][W|E|S|N] format. Append r if lower left and upper right map coordinates are given instead of w/e/s/n. The two shorthands −Rg and −Rd stand for global domain (0/360 and -180/+180 in longitude respectively, with -90/+90 in latitude). Alternatively, specify the name of an existing grid file and the −R settings (and grid spacing, if applicable) are copied from the grid.

## OPTIONS

| −A |  | Add up multiple values that belong to the same node (same as −Az). Append n to simply count the number of data points that were assigned to each node. [Default (no −A option) will calculate mean value]. Not used for simple mapping.
| −D |  | Give values for xname, yname, zname, scale, offset, title, and remark. To leave some of these values untouched, specify = as the value.
| −F |  | Force pixel registration [Default is grid registration].
| −N |  | No data. Set nodes with no input sample to this value [Default is NaN].
| −S |  | set variable spacing header is c for cdp, o for offset, b<number> for 4-byte float starting at byte number If -S not set, assumes even spacing of samples at the dx, dy supplied with -I
| −L |  | Override number of samples in each trace
| −X |  | applies scalar x-scale to coordinates in trace header to match the coordinates specified in -R
| −Y |  | Specifies sample interval as s_int if incorrect in the SEGY file
| −M |  | Fix number of traces to read in. Default tries to read 10000 traces. -M0 will read number in binary header, -Mn will attempt to read only n traces.
| −V |  | Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].

## EXAMPLES

To create a grid file from an even spaced SEGY file test.segy, try

segy2grd test.segy −I0.1/0.1 −Gtest.grd −R198/208/18/25 −V

Note that this will read in 18-25s (or km) on each trace, but the first trace will be assumed to be at X=198

To create a grid file from the SEGY file test.segy, locating traces according to the CDP number, where there are 10 CDPs per km and the sample interval is 0.1, try

segy2grd test.segy −Gtest.grd −R0/100/0/10 −I0.5/0.2 −V −X0.1 −Y0.1

Because the grid interval is larger than the SEGY file sampling, the individual samples will be averaged in bins

## SEE ALSO

GMT(1), grd2xyz(1), grdedit(1), pssegy(1)